Не получается запустить apache2?

Всем привет, смотрите какая проблема, установил Mint 18.1 cinnamon, начал ставить php 5.6, apache, БД, PhpPMyAdmin, и все остальные Linux программы.

В файле sudo nano /etc/apache2/mods-enabled/dir.conf, заменил index.html на index.php.
Создал файлик info.php и там прописал <?php phpinfo(); ?>, в браузере набрал localhost и получил содержимое текста info.php, php не отработал, пошел в консоль смотрю статус

uman@Computer ~ $ sudo service apache2 status
● apache2.service - LSB: Apache2 web server
   Loaded: loaded (/etc/init.d/apache2; bad; vendor preset: enabled)
  Drop-In: /lib/systemd/system/apache2.service.d
           └─apache2-systemd.conf
   Active: active (running) since Птн 2017-04-21 23:03:18 EEST; 5min ago
     Docs: man:systemd-sysv-generator(8)
  Process: 11026 ExecStop=/etc/init.d/apache2 stop (code=exited, status=0/SUCCESS)
  Process: 8910 ExecReload=/etc/init.d/apache2 reload (code=exited, status=0/SUCCESS)
  Process: 11050 ExecStart=/etc/init.d/apache2 start (code=exited, status=0/SUCCESS)
   CGroup: /system.slice/apache2.service
           ├─11069 /usr/sbin/apache2 -k start
           ├─11072 /usr/sbin/apache2 -k start
           └─11073 /usr/sbin/apache2 -k start

Апр 21 23:03:17 Computer systemd[1]: Starting LSB: Apache2 web server...
Апр 21 23:03:17 Computer apache2[11050]:  * Starting Apache httpd web server apache2
Апр 21 23:03:17 Computer apache2[11050]: AH00558: apache2: Could not reliably determine the server's fully qualified domain name, using 127.0.1.1. Set the 'ServerName' directive globally to suppress this message
Апр 21 23:03:18 Computer apache2[11050]:  *
Апр 21 23:03:18 Computer systemd[1]: Started LSB: Apache2 web server.

apache вроде включен, потом вспомнил что можно (или нужно) включить sudo a2enmod php5.6 но получил ошибку

Considering dependency mpm_prefork for php5.6:
Considering conflict mpm_event for mpm_prefork:
ERROR: Module mpm_event is enabled - cannot proceed due to conflicts. It needs to be disabled first!
Considering conflict mpm_worker for mpm_prefork:
ERROR: Could not enable dependency mpm_prefork for php5.6, aborting


начал гуглить наткнулся на один формум и там пишут что
Нужно включить mpm_prefork и отключить mpm_event
.
Где мне включить mpm_prefork и отключить mpm_event
  • Вопрос задан
  • 1524 просмотра
Пригласить эксперта
Ответы на вопрос 2
Uman
@Uman Автор вопроса
PHP, YII2
Нашел проблему, проблема была в том, что в новой версии минта пропадает PHP 5-ой версии, и по команде apt-get install php установилась версия 7.*., а потом (я не знал что php 7 установилась) я начал устанавливать php 5.6. Я все на хрен удалил (apache2 и php) все почистил и заново все поставил.
Установка php 5.6
для работы с PPA нужно установить необходимые инструменты:

apt-get install software-properties-common python-software-properties
После чего добавляем репозиторий, содержащий различные пакеты PHP:

add-apt-repository ppa:ondrej/php
В /etc/apt/sources.list.d/ появится файл со ссылкой на нужный нам репозиторий. После этого выполняем:

apt-get update
И уже можно устанавливать PHP 5.6:

Так что у меня все работает, спасибо кто откликнулся!
Ответ написан
Softwider
@Softwider
Отключить mpm_event: a2dismod mpm_event
Включить mpm_prefork: a2enmod mpm_prefork
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы